# User Interface

A user interface created for the course _Integrated Project Work_ at **Örebro University**.

## Table of Content

1. [Prerequisites](#prerequisites)
2. [Installation](#installation)

## Prerequisites

Before proceeding with the installation, ensure that you have the following installed on your system:

1. Node.js
2. Git

## Installation

To install and run the project, follow these steps:

1. Clone the repository to your local machine using the following command:

`git clone <repository URL>`

2. Navigate to the project directory using the following command:

`cd <project directory>`

3. Install the dependencies using the following command:

`npm install`

4. Once the dependencies are installed, start the development server using the following command:

`npm start`
