import { StrictMode } from "react";
import { BrowserRouter } from "react-router-dom";
import Navigation from "./navigation/Navigation";
import { MQTTContextProvider } from "./state/MQTT";

//https://ant.design/docs/react/customize-theme
const App = () => {
  return (
    <StrictMode>
      <MQTTContextProvider>
        <BrowserRouter>
          <Navigation />
        </BrowserRouter>
      </MQTTContextProvider>
    </StrictMode>
  );
};

export default App;
