import { Progress, Typography } from "antd";

//This component shows the success rate of all the missions
const MissionCompleteRateBox = () => {
  return (
    <div
      style={{
        width: "25%",
        height: 350,
        background:
          "linear-gradient(300deg, rgba(40,40,40,0.8) 0%, rgba(0,0,0,0.8) 100%)",
        borderRadius: 15,
        display: "flex",
        alignItems: "flex-start",
        padding: 15,
        flexDirection: "column",
      }}
    >
      <div>
        <div style={{ display: "flex", flexDirection: "column" }}>
          <Typography.Text
            strong
            style={{ color: "white", margin: 0, fontSize: 24 }}
          >
            Mission Success Rate
          </Typography.Text>
          <Typography.Text
            strong
            style={{
              color: "gray",
              margin: "0px 0px -10px 0px",
              fontSize: 14,
            }}
          >
            From all missions
          </Typography.Text>
        </div>
      </div>
      <div
        style={{
          marginTop: 50,
          display: "flex",
          justifyContent: "center",
          alignItems: "center",
          width: "100%",
          flexDirection: "column",
        }}
      >
        <Progress
          size="default"
          type="dashboard"
          percent={100}
          strokeColor={{ "0%": "#0080ff", "100%": "#094185" }}
        />
        <Typography.Text
          strong
          style={{
            color: "gray",
            margin: "0px 0px -10px 0px",
            fontSize: 12,
          }}
        >
          Based on totally completed missions
        </Typography.Text>
      </div>
    </div>
  );
};

export default MissionCompleteRateBox;
