import { Typography } from "antd";
import Chart from "./Chart";

//This component shows some statistics, in this case
const StatisticsBox = () => {
  return (
    <div
      style={{
        width: "54%",
        height: 400,
        background:
          "linear-gradient(300deg, rgba(40,40,40,0.8) 0%, rgba(0,0,0,0.8) 100%)",
        borderRadius: 15,
        display: "flex",
        alignItems: "flex-start",
        padding: 15,
        flexDirection: "column",
      }}
    >
      <Typography.Text
        strong
        style={{ color: "white", margin: 0, fontSize: 28 }}
      >
        Statistics Overview
      </Typography.Text>
      <div
        style={{
          display: "flex",
          justifyContent: "center",
          alignItems: "center",
          margin: "10px 0px 0px 0px",
          width: "100%",
          height: "80%",
        }}
      >
        <Chart />
      </div>
    </div>
  );
};

export default StatisticsBox;
