import { SensorData } from "../models/Data";

export const sensorState1 = [
  {
    pos: {
      r: 0,
      x: 10,
      y: 10,
    },
    radius: 30,
    sensed_objs: [
      {
        name: "Stone",
        pos: {
          r: 0.017113307490944862,
          x: 24.963600158691406,
          y: -10.976734161376953,
        },
      },
      {
        name: "Stone",
        pos: {
          r: -2.342314397996148e-10,
          x: -3.7297849655151367,
          y: 15.758179664611816,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: 11,
          y: 16,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: -13,
          y: 19,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: -10,
          y: 3,
        },
      },
      {
        name: "Stone",
        pos: {
          r: -0.2111627161502838,
          x: 27.41426658630371,
          y: -14.132485389709473,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: 23,
          y: 3,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: -12.461077690124512,
          y: 29.86710548400879,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: 2,
          y: -1,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: -8,
          y: -8.823529243469238,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: 12,
          y: 40.680667877197266,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: 12,
          y: 5,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 9.369257591984592e-10,
          x: 4.065088748931885,
          y: 9.839390754699707,
        },
      },
      {
        name: "Stone",
        pos: {
          r: -0.020671876147389412,
          x: 27.042278289794922,
          y: -18.16902732849121,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: 29,
          y: 17,
        },
      },
      {
        name: "Robot Wheel",
        pos: {
          r: 0,
          x: 11.5,
          y: 10,
        },
      },
      {
        name: "Robot Wheel",
        pos: {
          r: 0,
          x: 8.5,
          y: 10,
        },
      },
      {
        name: "Robot",
        pos: {
          r: 0,
          x: 10,
          y: 10,
        },
      },
    ],
  },
  {
    pos: {
      r: 0,
      x: 315,
      y: 198,
    },
    radius: 13,
    sensed_objs: [
      {
        name: "Stone",
        pos: {
          r: 0,
          x: 304,
          y: 202,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 5.47735967693086e-10,
          x: 302.8380432128906,
          y: 195.1079864501953,
        },
      },
      {
        name: "Stone",
        pos: {
          r: -0.04646432399749756,
          x: 327.9117126464844,
          y: 192.54685974121094,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: 310,
          y: 202,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 5.47735967693086e-10,
          x: 306.1619567871094,
          y: 192.8920135498047,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 1.3866500125914172e-7,
          x: 325.1650390625,
          y: 201.50625610351562,
        },
      },
      {
        name: "Stone",
        pos: {
          r: -0.13633185625076294,
          x: 319.0306091308594,
          y: 182.52517700195312,
        },
      },
    ],
  },
  {
    pos: {
      r: 0,
      x: 275,
      y: 169,
    },
    radius: 17,
    sensed_objs: [
      {
        name: "Stone",
        pos: {
          r: 0,
          x: 259.58404541015625,
          y: 174.29202270507812,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: 263.1572265625,
          y: 176.07861328125,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: 270,
          y: 170,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: 288,
          y: 167,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: 282,
          y: 153,
        },
      },
    ],
  },
  {
    pos: {
      r: 0,
      x: -1,
      y: -193,
    },
    radius: 16,
    sensed_objs: [
      {
        name: "Stone",
        pos: {
          r: 0,
          x: 4,
          y: -201,
        },
      },
      {
        name: "Stone",
        pos: {
          r: -0.19819608330726624,
          x: -8.74148178100586,
          y: -177.01966857910156,
        },
      },
      {
        name: "Stone",
        pos: {
          r: -6.558480691865043e-8,
          x: -0.872632622718811,
          y: -182.2193145751953,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: 10,
          y: -184,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: 5,
          y: -205,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 1.3837471612987429e-7,
          x: -16.77646827697754,
          y: -190.2235565185547,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: -2.1652286052703857,
          y: -208.95358276367188,
        },
      },
    ],
  },
  {
    pos: {
      r: 0,
      x: 333,
      y: -10,
    },
    radius: 23,
    sensed_objs: [
      {
        name: "Stone",
        pos: {
          r: 0.0055007049813866615,
          x: 309.4920654296875,
          y: -17.81464385986328,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: 320.1460266113281,
          y: -25.991596221923828,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: 329.3258361816406,
          y: -20.057575225830078,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: 347,
          y: -4,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: 342,
          y: -10.319327354431152,
        },
      },
      {
        name: "Stone",
        pos: {
          r: -1.2806606264348375e-7,
          x: 354.37957763671875,
          y: -4.237387657165527,
        },
      },
    ],
  },
  {
    pos: {
      r: 0,
      x: -214,
      y: 124,
    },
    radius: 19,
    sensed_objs: [
      {
        name: "Stone",
        pos: {
          r: 0.008179674856364727,
          x: -195.09957885742188,
          y: 122.63506317138672,
        },
      },
      {
        name: "Stone",
        pos: {
          r: -0.037276286631822586,
          x: -196.9420623779297,
          y: 116.79373931884766,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: -222,
          y: 106,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: -204,
          y: 112,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0.07374322414398193,
          x: -222.04693603515625,
          y: 131.7696990966797,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0.19984324276447296,
          x: -225.91366577148438,
          y: 130.7412109375,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: -233,
          y: 115,
        },
      },
      {
        name: "Stone",
        pos: {
          r: -0.2510715425014496,
          x: -232.4395751953125,
          y: 126.59553527832031,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: -219.48638916015625,
          y: 140.04966735839844,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: -227.822998046875,
          y: 123,
        },
      },
      {
        name: "Stone",
        pos: {
          r: -0.12498033046722412,
          x: -228.39801025390625,
          y: 127.57989501953125,
        },
      },
    ],
  },
  {
    pos: {
      r: 0,
      x: 380,
      y: 102,
    },
    radius: 14,
    sensed_objs: [
      {
        name: "Stone",
        pos: {
          r: 4.684626020434735e-10,
          x: 368.87310791015625,
          y: 97.87297058105469,
        },
      },
      {
        name: "Stone",
        pos: {
          r: -0.04277358576655388,
          x: 389.1580505371094,
          y: 106.80630493164062,
        },
      },
      {
        name: "Stone",
        pos: {
          r: -1.0762296915054321,
          x: 389.5035095214844,
          y: 102.32599639892578,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0.09047052264213562,
          x: 373.1500549316406,
          y: 91.71192169189453,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 2.201932430267334,
          x: 375.704833984375,
          y: 95.1419677734375,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 5.3826386192668e-7,
          x: 377.357177734375,
          y: 86.7140121459961,
        },
      },
    ],
  },
  {
    pos: {
      r: 0,
      x: -7,
      y: -106,
    },
    radius: 23,
    sensed_objs: [
      {
        name: "Stone",
        pos: {
          r: 0,
          x: 3,
          y: -110,
        },
      },
      {
        name: "Stone",
        pos: {
          r: -3.7654982065760123e-7,
          x: -18.94356346130371,
          y: -112.71368408203125,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: 2,
          y: -124,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: 13,
          y: -110,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: 6,
          y: -116,
        },
      },
      {
        name: "Stone",
        pos: {
          r: -3.374991663918081e-8,
          x: -19.418102264404297,
          y: -108.74691772460938,
        },
      },
      {
        name: "Stone",
        pos: {
          r: -0.02837945520877838,
          x: -18.55116844177246,
          y: -103.81270599365234,
        },
      },
      {
        name: "Stone",
        pos: {
          r: -0.2155473232269287,
          x: -19.61821174621582,
          y: -100.96057891845703,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: -10,
          y: -99,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: 3,
          y: -101,
        },
      },
      {
        name: "Stone",
        pos: {
          r: -7.248591948894045e-9,
          x: 15.318984985351562,
          y: -118.65949249267578,
        },
      },
    ],
  },
  {
    pos: {
      r: 0,
      x: -32,
      y: 14,
    },
    radius: 23,
    sensed_objs: [
      {
        name: "Stone",
        pos: {
          r: 0,
          x: -30,
          y: 27,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: -31,
          y: 33,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: -34.39081573486328,
          y: 37.933719635009766,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: -36,
          y: -4,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: -37,
          y: 35,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: -12.461077690124512,
          y: 29.86710548400879,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: -36,
          y: 29,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: -13,
          y: 19,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: -10,
          y: 3,
        },
      },
    ],
  },
  {
    pos: {
      r: 0,
      x: 327,
      y: 134,
    },
    radius: 21,
    sensed_objs: [
      {
        name: "Stone",
        pos: {
          r: 0,
          x: 321,
          y: 150,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: 328,
          y: 136,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0.010094982571899891,
          x: 322.9466247558594,
          y: 138.13804626464844,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: 316,
          y: 136,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: 315,
          y: 122,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: 331.9732666015625,
          y: 125.70624542236328,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: 311,
          y: 126,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: 312,
          y: 147,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: 310.6323547363281,
          y: 139,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0.010096434503793716,
          x: 324.9051208496094,
          y: 134.5845489501953,
        },
      },
    ],
  },
  {
    pos: {
      r: 0,
      x: 209,
      y: 172,
    },
    radius: 13,
    sensed_objs: [
      {
        name: "Stone",
        pos: {
          r: 0,
          x: 214,
          y: 181,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: 218,
          y: 176,
        },
      },
    ],
  },
  {
    pos: {
      r: 0,
      x: -122,
      y: 183,
    },
    radius: 22,
    sensed_objs: [
      {
        name: "Stone",
        pos: {
          r: 0,
          x: -101,
          y: 184,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: -105,
          y: 181,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: -101.44518280029297,
          y: 187,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: -113,
          y: 185,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: -113,
          y: 175,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: -117,
          y: 187,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: -113,
          y: 192,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: -144,
          y: 188,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: -124,
          y: 189,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: -121,
          y: 192,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: -123.890380859375,
          y: 201.88514709472656,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: -126,
          y: 173,
        },
      },
      {
        name: "Stone",
        pos: {
          r: -5.892889376468702e-8,
          x: -123.8286361694336,
          y: 164.18589782714844,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 4.1770147163333604e-7,
          x: -120.07437896728516,
          y: 167.4803466796875,
        },
      },
      {
        name: "Stone",
        pos: {
          r: -1.420779369709635e-7,
          x: -121.06124877929688,
          y: 171.35122680664062,
        },
      },
    ],
  },
  {
    pos: {
      r: 0,
      x: 147,
      y: -200,
    },
    radius: 16,
    sensed_objs: [
      {
        name: "Stone",
        pos: {
          r: 0.27571627497673035,
          x: 135.34812927246094,
          y: -208.2874298095703,
        },
      },
      {
        name: "Stone",
        pos: {
          r: -0.029325222596526146,
          x: 137.9027557373047,
          y: -212.04005432128906,
        },
      },
      {
        name: "Stone",
        pos: {
          r: -0.7573978900909424,
          x: 141.52716064453125,
          y: -210.09194946289062,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: 155.83421325683594,
          y: -185.70150756835938,
        },
      },
    ],
  },
  {
    pos: {
      r: 0,
      x: 87,
      y: -204,
    },
    radius: 15,
    sensed_objs: [
      {
        name: "Stone",
        pos: {
          r: 1.763562664791607e-7,
          x: 88.89933776855469,
          y: -220.29544067382812,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: 104,
          y: -209,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: 98,
          y: -212.9542694091797,
        },
      },
      {
        name: "Stone",
        pos: {
          r: -1.6667569013861794e-7,
          x: 83.10317993164062,
          y: -218.76446533203125,
        },
      },
      {
        name: "Stone",
        pos: {
          r: -0.0000011454797004262218,
          x: 89.75808715820312,
          y: -213.97450256347656,
        },
      },
    ],
  },
  {
    pos: {
      r: 0,
      x: -296,
      y: -36,
    },
    radius: 17,
    sensed_objs: [
      {
        name: "Stone",
        pos: {
          r: -0.011132570914924145,
          x: -309.7152099609375,
          y: -33.039466857910156,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: -300.92169189453125,
          y: -35.04106903076172,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: -290,
          y: -24,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: -294,
          y: -37,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: -286,
          y: -34,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: -282,
          y: -34,
        },
      },
    ],
  },
  {
    pos: {
      r: 0,
      x: -377,
      y: 104,
    },
    radius: 15,
    sensed_objs: [
      {
        name: "Stone",
        pos: {
          r: 0,
          x: -365,
          y: 107,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: -364,
          y: 98,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: -380,
          y: 104,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0.21227537095546722,
          x: -372.9507141113281,
          y: 92.8314437866211,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0.010306688025593758,
          x: -376.3916320800781,
          y: 90.75542449951172,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: -384,
          y: 109,
        },
      },
    ],
  },
  {
    pos: {
      r: 0,
      x: 176,
      y: 35,
    },
    radius: 22,
    sensed_objs: [
      {
        name: "Stone",
        pos: {
          r: 0,
          x: 191,
          y: 48,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: 170.9982147216797,
          y: 49,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: 174,
          y: 26,
        },
      },
      {
        name: "Stone",
        pos: {
          r: -7.302376161533175e-7,
          x: 157.4569549560547,
          y: 29.728469848632812,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 4.555256793992157e-8,
          x: 160.13571166992188,
          y: 31.067880630493164,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: 159,
          y: 25,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: 164.41712951660156,
          y: 54.17832946777344,
        },
      },
    ],
  },
  {
    pos: {
      r: 0,
      x: -202,
      y: 39,
    },
    radius: 16,
    sensed_objs: [
      {
        name: "Stone",
        pos: {
          r: 7.942481339284768e-9,
          x: -197.8175506591797,
          y: 20.817502975463867,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: -197,
          y: 38,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: -199,
          y: 55,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: -194,
          y: 55,
        },
      },
      {
        name: "Stone",
        pos: {
          r: -7.685398486501072e-7,
          x: -200.642333984375,
          y: 23.64236831665039,
        },
      },
    ],
  },
  {
    pos: {
      r: 0,
      x: 84,
      y: 137,
    },
    radius: 22,
    sensed_objs: [
      {
        name: "Stone",
        pos: {
          r: 0,
          x: 90,
          y: 132,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: 78,
          y: 137,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: 73,
          y: 133,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: 66.03253936767578,
          y: 150.45204162597656,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: 70,
          y: 144,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: 84,
          y: 134,
        },
      },
    ],
  },
  {
    pos: {
      r: 0,
      x: 213,
      y: -83,
    },
    radius: 19,
    sensed_objs: [
      {
        name: "Stone",
        pos: {
          r: 0,
          x: 224,
          y: -68.49737548828125,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: 212,
          y: -78,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: 217,
          y: -77,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: 198,
          y: -89,
        },
      },
      {
        name: "Stone",
        pos: {
          r: -2.0123715671616083e-7,
          x: 209.644287109375,
          y: -97.23713684082031,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0.000001025703795676236,
          x: 213.8003387451172,
          y: -94.4664535522461,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: 229,
          y: -89,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 0,
          x: 201,
          y: -79,
        },
      },
    ],
  },
  {
    pos: {
      r: 0,
      x: -348,
      y: 166,
    },
    radius: 15,
    sensed_objs: [
      {
        name: "Stone",
        pos: {
          r: 0,
          x: -351,
          y: 177,
        },
      },
      {
        name: "Stone",
        pos: {
          r: -8.748634883204431e-8,
          x: -330.6202087402344,
          y: 166.77117919921875,
        },
      },
      {
        name: "Stone",
        pos: {
          r: 1.7697190912713268e-7,
          x: -333.1887512207031,
          y: 161.35467529296875,
        },
      },
      {
        name: "Stone",
        pos: {
          r: -5.122458333062241e-7,
          x: -337.4299011230469,
          y: 158.7168426513672,
        },
      },
    ],
  },
] as SensorData[];
