export const frameCountToTimeString = (frameCount: number) => {
  //Divide by 30 because 30fps
  const seconds = Math.floor(frameCount / 30);
  const minutes = Math.floor(seconds / 60);
  const secondsWithOutMinutes = seconds - minutes * 60;
  return `${minutes}:${
    secondsWithOutMinutes < 10 ? "0" : ""
  }${secondsWithOutMinutes}`;
};
