import { useRef } from "react";
import * as THREE from "three";

const Shape = (props: any) => {
  const mesh = useRef();

  return (
    <mesh {...props} ref={mesh} scale={[1, 1, 1]}>
      <primitive
        object={new THREE.CylinderGeometry(1, 1, 2, 32)}
        attach={"geometry"}
      />
      <meshStandardMaterial /*color={color} */ color={"red"} />
    </mesh>
  );
};

export default Shape;
