export interface MQTTConfig {
  // Connection information
  id: number;
  host: string;
  port: number;

  // Authentication information
  clientId: string;
  userName: string;
  password: string;

  // Other settings
  keepAliveInterval: number;
  useSSL: boolean;
  cleanSession: boolean;

  //Compression and messagepack
  compression: "zlib" | "gzip" | "none";
  messagepack: boolean;
}
