export interface ChartData {
  id: number;
  value: number;
  type: string;
  created_at: string;
}

export interface ActivityLog {
  id: number;
  type: string;
  description: string;
  created_at: string;
}

export interface BatteryLog {
  id: number;
  time: string;
  percentage: number;
}
export interface SpeedLog {
  id: number;
  time: string;
  speed: number;
}

export interface ActionLog {
  id: number;
  time: string;
  type: "Goal" | "Other" | "\0";
  description: string;
}

export interface AutopilotLog {
  id: number;
  time: string;
  isOn: number;
}
