import { GridElement, Position2 } from "../models/Data";

export const getClosestGrid = (
  position: Position2,
  gridArray: GridElement[]
): GridElement | undefined => {
  for (let i = 0; i < gridArray.length; i++) {
    const element = gridArray[i];
    if (
      Math.abs(element.position.x - position.x) < 60 &&
      Math.abs(element.position.y - position.y) < 60
    ) {
      return element;
    }
  }

  return undefined;
};
