import { Html } from "@react-three/drei";
import BarLoader from "react-spinners/BarLoader";

const Loader = () => {
  return (
    <Html
      center
      style={{
        display: "flex",
        justifyContent: "center",
        alignItems: "center",
        background: "#000",
        width: "100vw",
        height: "100vh",
      }}
    >
      <div
        style={{
          background: "#fff",
        }}
      >
        <BarLoader color="#F37A24" />
      </div>
    </Html>
  );
};

export default Loader;
