import { Vector3 } from "three";
import { CirclePlane } from "../objects/sensed-objects/CirclePlane";

interface Props {
  position: Vector3;
}

const Waypoint = ({ position }: Props) => {
  <CirclePlane color={"green"} radius={1} position={position} />;
};

export default Waypoint;
