import { Button } from "antd";
import { Position } from "../../../../models/Map";
import { useContext } from "react";
import RobotContext from "../../../../state/Robot";
import InventoryContext from "../../../../state/InventoryCon";
import InstructionContext from "../../../../state/InstructionCon";
import { vec2 } from "../../../../functions/Map";
//used to test features, fabrication of data
const DataGenerator = () => {
  const { addInstruction, addPostion } = useContext(InstructionContext);
  const { inventoryContents, addToInventoryContents } =
    useContext(InventoryContext);

  const { setBattery, setSpeed, setLpower, setRpower } =
    useContext(RobotContext);

  const Generate = () => {
    addToInventoryContents(Math.ceil(Math.random() * 3));
    console.log(inventoryContents);
    const newSpeed = Math.floor(Math.random() * 100);
    const newBattery = Math.floor(Math.random() * 100);
    setBattery(newBattery);
    setSpeed(newSpeed);
    setLpower(Math.floor(Math.random() * 100));
    setRpower(Math.floor(Math.random() * 100));

    addPostion(343, vec2(1, 1));
    const tempPosList: Position[] = [];
    const newPosition: Position = {
      object: "robot",
      position: vec2(
        Math.floor(Math.random() * 100),
        Math.floor(Math.random() * 100)
      ),
    };
    const newPosition1: Position = {
      object: Math.floor(Math.random() * 100),
      position: vec2(
        Math.floor(Math.random() * 100),
        Math.floor(Math.random() * 100)
      ),
    };
    const newPosition2: Position = {
      object: Math.floor(Math.random() * 100),
      position: "robot",
    };
    tempPosList.push(newPosition);
    tempPosList.push(newPosition1);
    tempPosList.push(newPosition2);

    for (let i = 0; i < 5; i++) {
      //addInstruction(i, newBattery, tempPosList);
    }
  };
  return (
    <>
      <Button
        onClick={() => {
          Generate();
        }}
      >
        Generate Data
      </Button>
    </>
  );
};

export default DataGenerator;
