import { Button, Space } from "antd";
import Title from "antd/es/typography/Title";
import { Joystick } from "react-joystick-component";

const JoystickScreen = () => {
  return (
    <div
      style={{
        display: "flex",
        width: "100vw",
        height: "100vh",
        background:
          "radial-gradient(circle, rgba(0,146,255,1) 0%, rgba(0,56,98,1) 55%, rgba(0,20,34,1) 100%)",
        justifyContent: "center",
        alignItems: "center",
        flexDirection: "column",
      }}
    >
      <Space
        style={{
          display: "flex",
          justifyContent: "space-around",
          alignItems: "center",
          width: "100%",
          height: "80%",
        }}
      >
        <Joystick stickColor="#003cb5" />
        <Space size="large" direction="vertical">
          <Button size="large">Drop</Button>
          <Button size="large">Shoot</Button>
          <Button size="large">Pick Up</Button>
        </Space>
      </Space>

      <Space
        style={{
          display: "flex",
          justifyContent: "space-around",
          alignItems: "center",
          width: "100%",
          height: "20%",
        }}
      >
        <Button size="large">Autopilot</Button>
      </Space>
    </div>
  );
};

export default JoystickScreen;
